package de.accso.flexinale.ticketing.domain.model;

import de.accso.flexinale.common.shared_kernel.DoNotCheckInArchitectureTests;

@SuppressWarnings("unused")
@DoNotCheckInArchitectureTests
public class KontingentBereitsAusgeschoepftException extends RuntimeException {

    //TODO is this exception needed? replace by boolean value in the "Ticketing" interface's method, which is currently void
    // if we keep the exception, then perhaps move as inner class to "Kontingent"?

    public KontingentBereitsAusgeschoepftException() {
        super();
    }

    public KontingentBereitsAusgeschoepftException(final String message) {
        super(message);
    }

    public KontingentBereitsAusgeschoepftException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public KontingentBereitsAusgeschoepftException(final Throwable cause) {
        super(cause);
    }

    protected KontingentBereitsAusgeschoepftException(final String message, final Throwable cause,
                                                      final boolean enableSuppression, final boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
